Skip to main content
`Ctrl`+`K`

# DMForestRegisterType

Registers a `DMType` as a subtype of `DMFOREST` (so that `DMIsForest()` will be correct)

## Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestRegisterType(DMType name)

Not Collective

## Input Parameter

- name - the name of the type

## See Also

`DMFOREST`, `DMIsForest()`

## Level

advanced

## Location

src/dm/impls/forest/forest.c

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages